# normal regression model
x <- 1:10
y <- c(2+3*x+rnorm(10,0,3),2+3*x+rnorm(10,0,3))
x <- c(x,x)
z <- lm(y~x)
n <- dnorm(seq(-6,6,by=0.5),0,sqrt(sum(z$resi^2)/18))
postscript("normreg.eps",width=5,height=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(x,y,pch=20,ylim=c(0,40),xlim=c(1,11),xlab=expression(x),
	ylab=expression(y))
lines(c(1,10),c(z$coef[1]+z$coef[2],z$coef[1]+10*z$coef[2]))
plotn <- function(a) {
	lines(10*n+a,z$coef[1]+a*z$coef[2]+seq(-6,6,by=0.5))
	lines(rep(a,25),z$coef[1]+a*z$coef[2]+seq(-6,6,by=0.5))}
plotn(1.5)
plotn(3.5)
plotn(5.5)
plotn(7.5)
plotn(9.5)
dev.off()

# logistic regression model
x <- seq(1,10,by=0.5)
pp <- function(x) exp((x-5.5))/(1+exp((x-5.5)))
p <- pp(x)
postscript("logistic.eps",width=5,height=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(x,p,type="l",ylab=expression(pi),xlab=expression(x),xlim=c(1,11),
	ylim=c(-0.1,1.1))
plotl <- function(a){
	lines(c(a,a,a+pp(a),a+pp(a),a+1-pp(a),a+1-pp(a),a),
		c(pp(a)-0.05,pp(a)+0.05,pp(a)+0.05,pp(a),pp(a),
		pp(a)-0.05,pp(a)-0.05))
	lines(c(a,a+pp(a)),c(pp(a),pp(a)))}
plotl(1.5)
plotl(4)
plotl(5.5)
plotl(7)
plotl(9.5)
dev.off()
